Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Materials

## Compounds
struct | _Lib3dsAutoReflMap
struct | _Lib3dsMaterial
struct | _Lib3dsTextureMap
## Typedefs
typedef enum _Lib3dsTextureMapFlags | Lib3dsTextureMapFlags
typedef _Lib3dsTextureMap | Lib3dsTextureMap
typedef enum _Lib3dsAutoReflMapFlags | Lib3dsAutoReflectionMapFlags
typedef enum _Lib3dsAutoReflMapAntiAliasLevel | Lib3dsAutoReflMapAntiAliasLevel
typedef _Lib3dsAutoReflMap | Lib3dsAutoReflMap
typedef enum _Lib3dsMaterialShading | Lib3dsMaterialShading
typedef _Lib3dsMaterial | Lib3dsMaterial
## Enumerations
enum | _Lib3dsTextureMapFlags { LIB3DS_DECALE = 0x0001, LIB3DS_MIRROR = 0x0002, LIB3DS_NEGATE = 0x0004, LIB3DS_NO_TILE = 0x0008, LIB3DS_SUMMED_AREA = 0x0010, LIB3DS_ALPHA_SOURCE = 0x0020, LIB3DS_TINT = 0x0040, LIB3DS_IGNORE_ALPHA = 0x0080, LIB3DS_RGB_TINT = 0x0100 }
enum | _Lib3dsAutoReflMapFlags { LIB3DS_USE_REFL_MAP = 0x0001, LIB3DS_READ_FIRST_FRAME_ONLY = 0x0004, LIB3DS_FLAT_MIRROR = 0x0008 }
enum | _Lib3dsAutoReflMapAntiAliasLevel { LIB3DS_ANTI_ALIAS_NONE = 0, LIB3DS_ANTI_ALIAS_LOW = 1, LIB3DS_ANTI_ALIAS_MEDIUM = 2, LIB3DS_ANTI_ALIAS_HIGH = 3 }
enum | _Lib3dsMaterialShading { LIB3DS_WIRE_FRAME = 0, LIB3DS_FLAT = 1, LIB3DS_GOURAUD = 2, LIB3DS_PHONG = 3, LIB3DS_METAL = 4 }
## Functions
Lib3dsMaterial * | lib3ds_material_new ()
void | lib3ds_material_free (Lib3dsMaterial *material)
void | texture_dump (const char *maptype, Lib3dsTextureMap *texture)
void | lib3ds_material_dump (Lib3dsMaterial *material)
Lib3dsBool | lib3ds_material_read (Lib3dsMaterial *material, Lib3dsIo *io)
Lib3dsBool | lib3ds_material_write (Lib3dsMaterial *material, Lib3dsIo *io)

## Detailed Description

Author:
  J.E. Hoffmann <je-h@gmx.net>

## Typedef Documentation

typedef enum _Lib3dsAutoReflMapFlags Lib3dsAutoReflectionMapFlags

typedef struct _Lib3dsAutoReflMap Lib3dsAutoReflMap

| Auto reflection map settings

typedef enum _Lib3dsAutoReflMapAntiAliasLevel Lib3dsAutoReflMapAntiAliasLevel

Lib3dsMaterial

| See also: _Lib3dsMaterial

typedef enum _Lib3dsMaterialShading Lib3dsMaterialShading

typedef struct _Lib3dsTextureMap Lib3dsTextureMap

| Mateial texture map

typedef enum _Lib3dsTextureMapFlags Lib3dsTextureMapFlags

## Enumeration Type Documentation

enum _Lib3dsAutoReflMapAntiAliasLevel

  | Enumeration values:
  LIB3DS_ANTI_ALIAS_NONE |
  LIB3DS_ANTI_ALIAS_LOW |
  LIB3DS_ANTI_ALIAS_MEDIUM |
  LIB3DS_ANTI_ALIAS_HIGH |

enum _Lib3dsAutoReflMapFlags

  | Enumeration values:
  LIB3DS_USE_REFL_MAP |
  LIB3DS_READ_FIRST_FRAME_ONLY |
  LIB3DS_FLAT_MIRROR |

enum _Lib3dsMaterialShading

  | Enumeration values:
  LIB3DS_WIRE_FRAME |
  LIB3DS_FLAT |
  LIB3DS_GOURAUD |
  LIB3DS_PHONG |
  LIB3DS_METAL |

enum _Lib3dsTextureMapFlags

  | Enumeration values:
  LIB3DS_DECALE |
  LIB3DS_MIRROR |
  LIB3DS_NEGATE |
  LIB3DS_NO_TILE |
  LIB3DS_SUMMED_AREA |
  LIB3DS_ALPHA_SOURCE |
  LIB3DS_TINT |
  LIB3DS_IGNORE_ALPHA |
  LIB3DS_RGB_TINT |

## Function Documentation

void lib3ds_material_dump | ( | Lib3dsMaterial * | material | ) |

void lib3ds_material_free | ( | Lib3dsMaterial * | material | ) |

Lib3dsMaterial* lib3ds_material_new | ( |  | ) |

Lib3dsBool lib3ds_material_read | ( | Lib3dsMaterial * | material,
|  | Lib3dsIo * | io
| ) |

Lib3dsBool lib3ds_material_write | ( | Lib3dsMaterial * | material,
|  | Lib3dsIo * | io
| ) |

void texture_dump | ( | const char * | maptype,
|  | Lib3dsTextureMap * | texture
| ) | `[static]`